package com.viettel.campaign.controller;

import com.viettel.campaign.service.CampaignService;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.Map;

@Controller
@RequestMapping("/ipcc/campaign")
public class CampaignController {

    private static final Logger LOGGER = Logger.getLogger(CustomerController.class);

    @Autowired
    CampaignService campaignService;

    @GetMapping("/searchCampaignExecute")
    @ResponseBody
    public ResponseEntity searchCampaignExecute(@RequestParam("page") int page, @RequestParam("pageSize") int pageSize, @RequestParam("sort") String sort, @RequestParam("agentId") String agentId) {
        Map result = campaignService.searchCampaignExecute(page, pageSize, sort, agentId);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }
}
